#!/bin/sh
#--------------------------------------------
# script used for lora station (wirnet)
#--------------------------------------------

trap "killall bscc" SIGINT SIGQUIT SIGTERM
killall bscc

# store version of util_fpga_start
util_fpga_start -v|cut -d' ' -f2>/tmp/fpga_version.txt

cd /mnt/fsuser-1/bscc/
#temp ==> PR8369
find lastUpdate.log -size +100k -exec mv {} lastUpdate.log.0 \;

#First execution, if var.xml does not exist, copy default
if [ ! -e "var.xml" ]
then
    cp -f var.xml.default var.xml
fi

LD_LIBRARY_PATH=/mnt/fsuser-1/lora/usr/lib/ ./bscc -a -t /mnt/fsuser-1/bscc/
